## twitter-bootstrap 2.0.2+dfsg

=== Makefile ===
BOOTSTRAP = ./docs/assets/css/bootstrap.css
BOOTSTRAP_LESS = ./less/bootstrap.less
BOOTSTRAP_RESPONSIVE = ./docs/assets/css/bootstrap-responsive.css
BOOTSTRAP_RESPONSIVE_LESS = ./less/responsive.less
LESS_COMPRESSOR ?= `which lessc`
WATCHR ?= `which watchr`

#
# BUILD DOCS
#

docs: bootstrap
	rm docs/assets/bootstrap.zip
	zip -r docs/assets/bootstrap.zip bootstrap
	rm -r bootstrap
	lessc ${BOOTSTRAP_LESS} > ${BOOTSTRAP}
	lessc ${BOOTSTRAP_RESPONSIVE_LESS} > ${BOOTSTRAP_RESPONSIVE}
	node docs/build
	cp img/* docs/assets/img/
	cp js/*.js docs/assets/js/
	cp js/tests/vendor/jquery.js docs/assets/js/

#
# BUILD SIMPLE BOOTSTRAP DIRECTORY
# lessc & uglifyjs are required
#

bootstrap:
	mkdir -p bootstrap/img
	mkdir -p bootstrap/css
	mkdir -p bootstrap/js
	cp img/* bootstrap/img/
	lessc ${BOOTSTRAP_LESS} > bootstrap/css/bootstrap.css
	lessc --compress ${BOOTSTRAP_LESS} > bootstrap/css/bootstrap.min.css
	lessc ${BOOTSTRAP_RESPONSIVE_LESS} > bootstrap/css/bootstrap-responsive.css
	lessc --compress ${BOOTSTRAP_RESPONSIVE_LESS} > bootstrap/css/bootstrap-responsive.min.css
	cat js/bootstrap-transition.js js/bootstrap-alert.js js/bootstrap-button.js js/bootstrap-carousel.js js/bootstrap-collapse.js js/bootstrap-dropdown.js js/bootstrap-modal.js js/bootstrap-tooltip.js js/bootstrap-popover.js js/bootstrap-scrollspy.js js/bootstrap-tab.js js/bootstrap-typeahead.js > bootstrap/js/bootstrap.js
	uglifyjs -nc bootstrap/js/bootstrap.js > bootstrap/js/bootstrap.min.tmp.js
	echo "/**\n* Bootstrap.js by @fat & @mdo\n* Copyright 2012 Twitter, Inc.\n* http://www.apache.org/licenses/LICENSE-2.0.txt\n*/" > bootstrap/js/copyright.js
	cat bootstrap/js/copyright.js bootstrap/js/bootstrap.min.tmp.js > bootstrap/js/bootstrap.min.js
	rm bootstrap/js/copyright.js bootstrap/js/bootstrap.min.tmp.js

#
# MAKE FOR GH-PAGES 4 FAT & MDO ONLY (O_O  )
#

gh-pages: docs
	rm -f ../bootstrap-gh-pages/assets/bootstrap.zip
	node docs/build production
	cp -r docs/* ../bootstrap-gh-pages

#
# WATCH LESS FILES
#

watch:
	echo "Watching less files..."; \
	watchr -e "watch('less/.*\.less') { system 'make' }"


.PHONY: docs watch gh-pages

## twitter-bootstrap 1.4+dfsg

=== debian/changelog ===
twitter-bootstrap (1.4+dfsg-2) unstable; urgency=low

  * Adding provides twitter-bootstrap and twitter-bootstrap-docs to
    libjs-t-b and libjs-t-b-d respectively.
  * Adding local copy of html5shiv, version 20120101.
  * Adding local copy of google-code-prettify, version 20110601.
  * Installing compressed variants of all javascript files.
  * Adding recommends to libjs-jquery and libjs-jquery-tablesorter.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 07 Jan 2012 23:06:55 +0100

twitter-bootstrap (1.4+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #647864).
  * Rebuild upstream tarball without browser and twitter icons
    and google-code-prettify.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 28 Dec 2011 08:10:28 +0100

=== debian/control ===
Source: twitter-bootstrap
Section: web
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends: debhelper (>= 8), node-less, yui-compressor
Standards-Version: 3.9.2
Homepage: http://twitter.github.com/bootstrap/

Package: libjs-twitter-bootstrap
Section: web
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common, libjs-jquery, libjs-jquery-tablesorter
Suggests: libjs-twitter-bootstrap-docs
Provides: twitter-bootstrap
Description: html, CSS and JS toolkit from Twitter
 Bootstrap is a toolkit from Twitter designed to kickstart development of
 webapps and sites with modern browsers in mind.
 .
 It includes base CSS and HTML for typography, forms, buttons, tables,
 grids, navigation, and more.

Package: libjs-twitter-bootstrap-docs
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: libjs-twitter-bootstrap
Provides: twitter-bootstrap-docs
Description: html, CSS and JS toolkit from Twitter (documentation)
 Bootstrap is a toolkit from Twitter designed to kickstart development of
 webapps and sites with modern browsers in mind.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

%:
	dh ${@}

dfsg:
	rm -f docs/assets/img/bird.png
	rm -f docs/assets/img/browsers.png
	rm -f docs/assets/img/twitter-logo-no-bird.png
	rm -rf docs/assets/js/google-code-prettify

override_dh_auto_clean:
	dh_auto_clean

	# remove upstreams bootstrap.css and bootstrap.min.css
	rm -f *.css

	# remove our compressed files
	rm -f js/*.min.js
	rm -f debian/local/*/*.min.js

override_dh_auto_build:
	dh_auto_build

	# compress our files
	for _FILE in js/*.js debian/local/*/*.js; \
	do \
		yui-compressor --type js -o $$(dirname $${_FILE})/$$(basename $${_FILE} .js).min.js $${_FILE}; \
	done

override_dh_builddeb:
	dh_builddeb -- -Zgzip -z9

## twitter-bootstrap 2.0.2+dfsg

=== debian/changelog ===
twitter-bootstrap (2.0.2+dfsg-4) unstable; urgency=low

  * QA upload.
  * debian/patches/build-with-node-1.4.2.patch: Add patch from upstream
    git to build with node 1.4.2 (Closes: #718072)
  * Updating to Standards version 3.9.4
  * Update copyright file to clarify license
  * Include a watchfile
  * Don't duplicate "Section"-field in libjs-twitter-bootstrap
  * Don't use obsolete Apache2 conf.d directory
  * Add a doc-base file for the documentation package

 -- Andreas Moog <amoog@ubuntu.com>  Sat, 10 Aug 2013 18:57:51 +0000

twitter-bootstrap (2.0.2+dfsg-3) unstable; urgency=low

  * QA upload
  * The package has been orphaned. Set maintainer to Debian QA Group.
  * Use nodejs command instead of the obsolete node command to build the
    documentation. (Closes: #707522)

 -- Markus Koschany <apo@gambaru.de>  Sat, 08 Jun 2013 23:09:56 +0200

twitter-bootstrap (2.0.2+dfsg-2) unstable; urgency=low

  * Switching to xz compression.
  * Updating GPL boilerplate in copyright file.
  * Sorting fields in proper order in copyright file.
  * Removing useless additional license file.
  * Adding missing continuation line in copyright file.
  * Removing obsoleted copyright symbols in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jun 2012 15:48:58 +0200

twitter-bootstrap (2.0.2+dfsg-1) unstable; urgency=low

  * Merging upstream version 2.0.2+dfsg.
  * Rediffing dfsg.patch.
  * Rediffing build.patch.
  * Making build-depends on less.js versioned.
  * Updating to debhelper version 9.
  * Updating to standards version 3.9.3.
  * Updating copyright file machine-readable format version 1.0.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 20 Mar 2012 12:20:34 +0100

twitter-bootstrap (2.0+dfsg-1) unstable; urgency=low

  * Merging upstream version 2.0+dfsg.
  * Updating rules for version 2.0.
  * Updating copyright file for version 2.0.
  * Removing date.patch, not required anymore.
  * Updating local copy of html5shiv.
  * Adding node-uglify to build-depends.
  * Adding zip to build-depends.
  * Adding patch to avoid trying to copy not included jquery.js file.
  * Adding patch to avoid removing files after build.
  * Updating debhelper files for new fs layout.
  * Using uppercase spelling of html in package descriptions.
  * Adding todo file.
  * Dropping usage of javascript-common and using more suitable
    /twitter-bootstrap and /bootstrap configurations without loosing
    javascript-common compatiblity.
  * Also compressing local css file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 11 Feb 2012 09:40:17 +0100

=== debian/control ===
Source: twitter-bootstrap
Section: web
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               node-less (>= 1.3),
               node-uglify,
               yui-compressor,
               zip
Standards-Version: 3.9.4
Homepage: http://twitter.github.com/bootstrap/

Package: libjs-twitter-bootstrap
Architecture: all
Depends: ${misc:Depends}
Recommends: libjs-jquery, libjs-jquery-tablesorter
Suggests: libjs-twitter-bootstrap-docs
Provides: twitter-bootstrap
Description: HTML, CSS and JS toolkit from Twitter
 Bootstrap is a toolkit from Twitter designed to kickstart development of
 webapps and sites with modern browsers in mind.
 .
 It includes base CSS and HTML for typography, forms, buttons, tables,
 grids, navigation, and more.

Package: libjs-twitter-bootstrap-docs
Section: doc
Architecture: all
Depends: ${misc:Depends}
Enhances: libjs-twitter-bootstrap
Provides: twitter-bootstrap-docs
Description: HTML, CSS and JS toolkit from Twitter (documentation)
 Bootstrap is a toolkit from Twitter designed to kickstart development of
 webapps and sites with modern browsers in mind.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

%:
	dh ${@}

dfsg:
	rm -f docs/assets/boostrap.zip
	rm -f docs/assets/img/bird.png
	rm -f docs/assets/img/browsers.png
	rm -f docs/assets/img/github-16px.png
	rm -f docs/assets/img/icon-github.png
	rm -f docs/assets/img/icon-twitter.png
	rm -f docs/assets/js/jquery.js
	rm -rf docs/assets/js/google-code-prettify
	rm -f js/tests/vendor/jquery.js

override_dh_auto_clean:
	dh_auto_clean

	rm -f debian/local/*/*.min.js

override_dh_auto_build:
	dh_auto_build

	for _FILE in js/*.js debian/local/*/*.js; \
	do \
		yui-compressor --type js -o $$(dirname $${_FILE})/$$(basename $${_FILE} .js).min.js $${_FILE}; \
	done

	for _FILE in debian/local/*/*.css; \
	do \
		yui-compressor --type css -o $$(dirname $${_FILE})/$$(basename $${_FILE} .css).min.css $${_FILE}; \
	done

override_dh_auto_install:
	dh_auto_install

	mkdir -p debian/libjs-twitter-bootstrap-docs/usr/share/doc/libjs-twitter-bootstrap-docs
	cp README.md debian/libjs-twitter-bootstrap-docs/usr/share/doc/libjs-twitter-bootstrap-docs/README.css
	cp docs/assets/js/README.md debian/libjs-twitter-bootstrap-docs/usr/share/doc/libjs-twitter-bootstrap-docs/README.js

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

override_dh_install:
	dh_install --fail-missing

	# Removing usless files
	rm -f debian/libjs-twitter-bootstrap-docs/usr/share/doc/libjs-twitter-bootstrap-docs/html/build/node_modules/hogan.js/LICENSE

=== debian/watch ===
version=3
opts=uversionmangle=s/-(rc\d*)$/~$1/,dversionmangle=s/\+dfsg\d*$// \
https://github.com/twbs/bootstrap/releases \
.*[^n]/(?:|v|r|REL_|rel-|twitter-bootstrap(?:_|-))(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
